import request from '@/utils/request'
export function getShareCodeList(data) {
  return request({
    url:'/comp/share/list',
    method:'get',
    params:data
  })
}

export function createShareCode(id,compName) {
  return request({
    url:'/comp/share/add?compId='+id+'&compName='+compName,
    method:'get',
    // data:data
  })
}

export function getShareCode(id) {
  return request({
    url:'/comp/share/detail?id='+id,
    method:'get',
  })
}

export function deleteShareCode(id) {
  console.log('id',id);
  return request({
    url:'/comp/share/delete?id='+id,
    method:'get',
  })
}
